package com.its.pis.xnettcp.vds.protocol;

/**
 * Vehicle Length Request
 */
public class VdsReqLength extends VdsReqFramePacket {

    private byte laneNo;

    public VdsReqLength(short groupNo, short controllerNo) {
        super(groupNo, controllerNo, VdsProtocol.vds_Length);
        this.body = new byte[1];
        setLaneNo(1);
    }

    public void setLaneNo(int laneNo) {
        // 1 - 16 : Lane Number
        this.laneNo =  (byte)(laneNo & 0xFF);;
        this.body[0] = this.laneNo;
    }
}
